﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Controls;

namespace RadTileList
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		TileGroup group1 = new TileGroup() { Header = "Group1" };
		TileGroup group2 = new TileGroup() { Header = "Group2" };
		TileGroup group3 = new TileGroup() { Header = "Group3" };
		TileGroup group4 = new TileGroup() { Header = "Group4" };


		public MainWindow()
		{
			InitializeComponent();

		}

		private void OnAutoGeneratingTile(object sender, AutoGeneratingTileEventArgs e)
		{			
			var club = e.Tile.Content as Club;
			if (club != null)
			{
				switch (club.Name)
				{
 					case "Arsenal":
						e.Tile.Group = this.group4;
						break;
					case "Chelsea":
						e.Tile.Group = this.group3;
						break;
					default:
						e.Tile.Group = this.group1;
						break;						
				}
			}
		}
	}
}
